From 15ddf28504bf656e6c8de16db69fd0cb9cbf7ae0 Mon Sep 17 00:00:00 2001
From: OpenEmbedded <oe.patch@oe>
Date: Thu, 15 Sep 2022 12:35:24 +0000

---
 hostapd/Makefile        | 1 +
 wpa_supplicant/Makefile | 1 +
 2 files changed, 2 insertions(+)

diff --git a/hostapd/Makefile b/hostapd/Makefile
index 73cf28c1a..4e79daa73 100644
--- a/hostapd/Makefile
+++ b/hostapd/Makefile
@@ -324,6 +324,7 @@ ifdef CONFIG_FILS
 CFLAGS += -DCONFIG_FILS
 OBJS += ../src/ap/fils_hlp.o
 NEED_SHA384=y
+NEED_HMAC_SHA384_KDF=y
 NEED_AES_SIV=y
 ifdef CONFIG_FILS_SK_PFS
 CFLAGS += -DCONFIG_FILS_SK_PFS
diff --git a/wpa_supplicant/Makefile b/wpa_supplicant/Makefile
index a6bcb4c42..707d6dc88 100644
--- a/wpa_supplicant/Makefile
+++ b/wpa_supplicant/Makefile
@@ -320,6 +320,7 @@ endif
 ifdef CONFIG_FILS
 CFLAGS += -DCONFIG_FILS
 NEED_SHA384=y
+NEED_HMAC_SHA384_KDF=y
 NEED_AES_SIV=y
 ifdef CONFIG_FILS_SK_PFS
 CFLAGS += -DCONFIG_FILS_SK_PFS
